import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { ServiceLineCountOutputTypeCountServiceLineTransactionsArgsObjectSchema as ServiceLineCountOutputTypeCountServiceLineTransactionsArgsObjectSchema } from './ServiceLineCountOutputTypeCountServiceLineTransactionsArgs.schema'

const makeSchema = () => z.object({
  serviceLineTransactions: z.union([z.boolean(), z.lazy(() => ServiceLineCountOutputTypeCountServiceLineTransactionsArgsObjectSchema)]).optional()
}).strict();
export const ServiceLineCountOutputTypeSelectObjectSchema: z.ZodType<Prisma.ServiceLineCountOutputTypeSelect> = makeSchema() as unknown as z.ZodType<Prisma.ServiceLineCountOutputTypeSelect>;
export const ServiceLineCountOutputTypeSelectObjectZodSchema = makeSchema();
